%define oname   sqlite3

Name:       ruby-%{oname}
Version:    2.5.0
Release:    %mkrel 1
Summary:    Allows Ruby programs to interface with the SQLite3 database engine
Group:      Development/Ruby
License:    BSD-like
URL:        https://github.com/luislavena/sqlite3-ruby
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(sqlite3) >= 3.6.16
BuildRequires: rubygem(mini_portile2)
BuildRequires: rubygem(minitest)
# Add provides for dbd-sqlite3
Provides:   rubygem(sqlite3-ruby) = %{version}-%{release}
Requires: %{_lib}sqlite3_0 >= 3.6.16

%description
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is NOT compatible with SQLite 2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%{gem_dir}/build_info/%{oname}-%{version}.info

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build -- --enable-system-libraries

%install
%gem_install

%check
pushd .%{gem_instdir}
ruby -I$(dirs +1)%{gem_extdir_mri}:lib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd


%changelog
* Sat Feb 01 2025 pterjan <pterjan> 2.5.0-1.mga10
+ Revision: 2144280
- Update to 2.5.0

* Sun Dec 22 2024 pterjan <pterjan> 2.4.1-1.mga10
+ Revision: 2128817
- Update to 2.4.1

* Fri Dec 06 2024 pterjan <pterjan> 2.4.0-1.mga10
+ Revision: 2121969
- Update to 2.4.0
- Rebuild for Ruby 3.3

* Mon Apr 08 2024 pterjan <pterjan> 1.7.3-1.mga10
+ Revision: 2055616
- Update to 1.7.3

* Mon Sep 26 2022 pterjan <pterjan> 1.5.0-1.mga9
+ Revision: 1892530
- Use system libraries instead of downloading sqlite3, and run tests
- Update to 1.5.0

* Mon Aug 15 2022 pterjan <pterjan> 1.4.4-1.mga9
+ Revision: 1877736
- Update to 1.4.4

* Fri Mar 25 2022 umeabot <umeabot> 1.4.2-3.mga9
+ Revision: 1827170
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.4.2-2.mga9
+ Revision: 1784624
- Rebuild for Ruby 3.1

* Sat Mar 28 2020 pterjan <pterjan> 1.4.2-1.mga8
+ Revision: 1561816
- Update to 1.4.2

* Mon Mar 02 2020 pterjan <pterjan> 1.3.13-5.mga8
+ Revision: 1553179
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.3.13-4.mga8
+ Revision: 1516658
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.13-3.mga7
+ Revision: 1300903
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 1.3.13-2.mga7
+ Revision: 1188710
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 1.3.13-1.mga7
+ Revision: 1141925
- Update to 1.3.13

* Tue Aug 15 2017 pterjan <pterjan> 1.3.11-2.mga7
+ Revision: 1140876
- Rebuild for new Ruby

* Sun Dec 20 2015 pterjan <pterjan> 1.3.11-1.mga6
+ Revision: 912565
- Update to 1.3.11
+ spuhler <spuhler>
- rebuild with new libruby

* Tue Oct 13 2015 pterjan <pterjan> 1.3.10-1.mga6
+ Revision: 890540
- Update to 1.3.10

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-6.mga5
+ Revision: 741689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-5.mga5
+ Revision: 688967
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.3.8-4.mga4
+ Revision: 562503
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 1.3.8-3.mga4
+ Revision: 558888
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.3.8-2.mga4
+ Revision: 538254
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1.3.8-1.mga4
+ Revision: 489095
- new version 1.3.8

* Sat Sep 28 2013 fwang <fwang> 1.3.6-4.mga4
+ Revision: 488219
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.6-3.mga3
+ Revision: 396514
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 381513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.3.6-1.mga3
+ Revision: 312472
- new version 1.3.6

* Wed Feb 09 2011 shikamaru <shikamaru> 1.3.3-2.mga1
+ Revision: 49400
- add provides to please dbd-sqlite3

* Fri Jan 28 2011 shikamaru <shikamaru> 1.3.3-1.mga1
+ Revision: 43040
- imported package ruby-sqlite3

